<?php

namespace Drp\NativeEventApp\Auth;

use SimpleSoftwareIO\QrCode\BaconQrCodeGenerator;

class QrCode implements \Drp\NativeEventApp\Contracts\QrCode
{
    /** @var BaconQrCodeGenerator */
    private $qrGenerator;

    public function __construct(BaconQrCodeGenerator $qrGenerator)
    {
        $this->qrGenerator = $qrGenerator;
    }

    public function generate(int $size, string $data): string
    {
        return $this->qrGenerator->size($size)->generate($data);
    }
}
