<?php

namespace Drp\NativeEventApp\Test\Support;

use Illuminate\Support\Facades\URL;

trait InteractsWithFileUploads
{
    private function createSignedUrl(string $uuid): string
    {
        return URL::temporarySignedRoute(
            'eventpal.sdk.file-upload',
            now()->addMinutes(5),
            ['uuid' => $uuid]
        );
    }
}
